
package de.ivu.elect.presentation.entschaedigung.form;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.person.entity.CorePersonendatenArt;
import de.ivu.elect.business.person.entity.PersonendatenArt;

@Specializes
public class CoreEntschaedigungsartViewFormBuilder extends EntschaedigungsartViewFormBuilder {

  private static final long serialVersionUID = 1L;

  public CoreEntschaedigungsartViewFormBuilder() {
    super();
  }

  @Override
  protected boolean isEntschaedigungsartKriteriumEinsatzfunktionRendered(PersonendatenArt personendatenArt) {
    return super.isEntschaedigungsartKriteriumEinsatzfunktionRendered(personendatenArt) || matchesAnyPersonendatenArt(personendatenArt, CorePersonendatenArt.WAHLAUSSCHUSSMITGLIED);
  }
}
